# Generated from wwwjdic-16.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wwwjdic

Name: rubygem-%{gem_name}
Version: 16.1.0
Release: 1%{?dist}
Summary: This gem uses WWWJDic Backdoor Entry/API as described by http://www.edrdg.org/wwwjdic/wwwjdicinf.html#backdoor_tag to to interact with WWWJDic and translate to and from Japanese language
License: GPL-3.0 and BSD-3-Clause
URL: https://savannah.nongnu.org/projects/wwwjdic/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0
BuildRequires: ruby < 4
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rubocop) >= 1.19
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(simplecov) >= 0.21
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
This gem uses WWWJDic Backdoor Entry/API as described by
http://www.edrdg.org/wwwjdic/wwwjdicinf.html#backdoor_tag to to
interact with WWWJDic and translate to and from Japanese language. WWWJDic is
an online Japanese
translation server made by Jim Breen and available at
http://www.edrdg.org/cgi-bin/wwwjdic/wwwjdic?1C. GNU GPLv3
license; source code available through anonymous checkout: `hg clone
http://hg.savannah.nongnu.org/hgweb/wwwjdic/` or write me and
I'll send it. You can even decide to contribute to this little free
software project by registering to Savannah and ask to be part of the
'wwwjdic' project!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING.md
%{gem_instdir}/copyright.md
%{gem_instdir}/html
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/test
%{gem_instdir}/wwwjdic.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 16.1.0-1
- Initial package
